# Class TestMessagePhase

#### Hierarchy (view full)

- MessagePhase
  - TestMessagePhase

- Defined in src/phases.ts:5373

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
start

## Constructors

### constructor

- new TestMessagePhase(scene, message): TestMessagePhase

- #### Parameters

  - scene: default
  - message: string

  #### Returns TestMessagePhase

  Overrides MessagePhase.constructor

  - Defined in src/phases.ts:5374

## Properties

### `Protected` scene

scene: default

Inherited from MessagePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from MessagePhase.end

  - Defined in src/phases.ts:3467

### start

- start(): void

- #### Returns void

  Inherited from MessagePhase.start

  - Defined in src/phases.ts:3455